# Class: Editor

## M_.Editor()

A wysiwyg editor to use directly or in a textarea

## Constructor

#### new Editor()

##### Properties:

Name | Type | Description
--- | --- | ---
`buttonsContainer` | type |
`buttons` | type |

### Methods

#### caretMove() → {type}

##### Returns:

Type
  type

#### createButtons() → {type}

##### Returns:

Type
  type

#### execCommand(comm) → {type}

##### Parameters:

Name | Type | Description
--- | --- | ---
`comm` | type |

##### Returns:

Type
  type

#### execEditCell() → {type}

##### Returns:

Type
  type

#### execEditTable() → {type}

##### Returns:

Type
  type

#### execFormatBlock(block) → {type}

##### Parameters:

Name | Type | Description
--- | --- | ---
`block` | type |

##### Returns:

Type
  type

#### execInsertTable() → {type}

##### Returns:

Type
  type

#### execInsertTableColumn() → {type}

##### Returns:

Type
  type

#### execInsertTableRow() → {type}

##### Returns:

Type
  type

#### execJustify(what) → {type}

##### Parameters:

Name | Type | Description
--- | --- | ---
`what` | type |

##### Returns:

Type
  type

#### execLink() → {type}

##### Returns:

Type
  type

#### execNewImage() → {type}

##### Returns:

Type
  type

#### execSource() → {type}

##### Returns:

Type
  type

#### init()

#### setContainer(container)

##### Parameters:

Name | Type | Description
--- | --- | ---
`container` | type |